## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate notify

Name:           rust-notify4
Version:        4.0.17
Release:        %autorelease
Summary:        Cross-platform filesystem notification library

License:        CC0-1.0
URL:            https://crates.io/crates/notify
Source:         %{crates_source}
Source:         https://raw.githubusercontent.com/notify-rs/notify/main/LICENSE
# Automatically generated patch to strip foreign dependencies
Patch:          notify-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Update inotify to 0.9
Patch:          notify-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Cross-platform filesystem notification library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+manual_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+manual_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "manual_tests" feature of the "%{crate}" crate.

%files       -n %{name}+manual_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+timing_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+timing_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "timing_tests" feature of the "%{crate}" crate.

%files       -n %{name}+timing_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
# license file
cp -p %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# Tests are not very reliable, https://github.com/passcod/notify/issues/186
%cargo_test -- -- --skip create_directory_watch_subdirectories
%endif

%changelog
* Wed May 31 2023 John Doe <packager@example.com> - 4.0.17-1
- Uncommitted changes
